%define real_name PAR-Dist
%define version 0.07
%define release 2mdk

Summary:	Create and manipulate PAR distributions
Version:	%{version}
Name:		perl-%{real_name}
Release:	%{release}
License:	Artistic
Group:		Development/Perl
URL:		http://search.cpan.org/search?mode=module;query=%{real__name}
Source0:	ftp://ftp.cpan.org/authors/id/A/AU/AUTRIJUS/%{real_name}-%{version}.tar.bz2

BuildRequires: perl-devel

BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	noarch

%description
This module creates and manipulates *PAR distributions*. They are
architecture-specific PAR files, containing everything under blib/ of CPAN
distributions after their "make" or "Build" stage, a META.yml describing
metadata of the original CPAN distribution, and a MANIFEST detailing all files
within it. Digitally signed PAR distributions will also contain a SIGNATURE
file.

%prep
%setup -q -n %{real_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make OPTIMIZE="$RPM_OPT_FLAGS"
make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%doc Changes README
%{_mandir}/*/*
%{perl_vendorlib}/*

%changelog
* Sun Feb 06 2005 Sylvie Terjan <erinmargault@mandrake.org> 0.07-2mdk
- rebuild for new perl

* Fri May 21 2004 Florin <florin@mandrakesoft.com> 0.07-1mdk
- first Mandrake Release
